# Class CIM_SoftwareElementVersionCheck
extends CIM_Check

SoftwareElementVersionCheck specifies the release of a SoftwareElement that must exist in the environment. This Check can be for a specific, minimum, maximum or a range of versions. To specify a specific version, the lower and upper versions must be the same. To specify a minimum, only the lower version needs to be defined. To specify a maximum version, only the upper version needs to be defined. To specify a range, both upper and lower versions need to be defined. The details of this Check are compared with the corresponding details found in a CIM_SoftwareElement object, associated to the CIM_ComputerSystem instance that describes the environment (related by the association, CIM_InstalledSoftwareElement). There should be at least one CIM_SoftwareElement that satisfies the details of the Check. In other words, all the SoftwareElements on the relevant computer system do not need to satisfy the Check.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Check
|
+--CIM_SoftwareElementVersionCheck

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---

Description

string

SoftwareElementVersionCheck specifies the release of a SoftwareElement that must exist in the environment. This Check can be for a specific, minimum, maximum or a range of versions. To specify a specific version, the lower and upper versions must be the same. To specify a minimum, only the lower version needs to be defined. To specify a maximum version, only the upper version needs to be defined. To specify a range, both upper and lower versions need to be defined. The details of this Check are compared with the corresponding details found in a CIM_SoftwareElement object, associated to the CIM_ComputerSystem instance that describes the environment (related by the association, CIM_InstalledSoftwareElement). There should be at least one CIM_SoftwareElement that satisfies the details of the Check. In other words, all the SoftwareElements on the relevant computer system do not need to satisfy the Check.

UMLPackagePath | string | CIM::Application::CheckAction
Version | string | 2.23.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
LowerSoftwareElementVersion | string |
Description | string | The minimum version of the SoftwareElement being checked.
MaxLen | uint32 | 64
ModelCorrespondence | string | CIM_SoftwareElement.Version
SoftwareElementName | string |
Description | string | The name of the SoftwareElement being checked.
MaxLen | uint32 | 256
ModelCorrespondence | string | CIM_SoftwareElement.Name
SoftwareElementStateDesired | uint16 |
Description | string | The state of the SoftwareElement being checked.
ModelCorrespondence | string | CIM_SoftwareElement.SoftwareElementState
ValueMap | string | 0, 1, 2, 3
Values | string | Deployable, Installable, Executable, Running
TargetOperatingSystemDesired | uint16 |
Description | string | The target operating system of the SoftwareElement being checked.
ModelCorrespondence | string | CIM_SoftwareElement.TargetOperatingSystem

ValueMap

string

0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50, 51, 52, 53, 54, 55, 56, 57, 58, 59, 60, 61, 62, 63, 64, 65, 66, 67, 68, 69, 70, 71, 72, 73, 74, 75, 76, 77, 78, 79, 80, 81, 82, 83, 84, 85, 86, 87, 88, 89, 90, 91, 92, 93, 94, 95, 96, 97, 98, 99, 100, 101, 102, 103, 104, 105, 106, 107, 108, 109, 110, 111, 113, 114, 115, 116

Values

string

Unknown, Other, MACOS, ATTUNIX, DGUX, DECNT, Tru64 UNIX, OpenVMS, HPUX, AIX, MVS, OS400, OS/2, JavaVM, MSDOS, WIN3x, WIN95, WIN98, WINNT, WINCE, NCR3000, NetWare, OSF, DC/OS, Reliant UNIX, SCO UnixWare, SCO OpenServer, Sequent, IRIX, Solaris, SunOS, U6000, ASERIES, HP NonStop OS, HP NonStop OSS, BS2000, LINUX, Lynx, XENIX, VM, Interactive UNIX, BSDUNIX, FreeBSD, NetBSD, GNU Hurd, OS9, MACH Kernel, Inferno, QNX, EPOC, IxWorks, VxWorks, MiNT, BeOS, HP MPE, NextStep, PalmPilot, Rhapsody, Windows 2000, Dedicated, OS/390, VSE, TPF, Windows (R) Me, Caldera Open UNIX, OpenBSD, Not Applicable, Windows XP, z/OS, Microsoft Windows Server 2003, Microsoft Windows Server 2003 64-Bit, Windows XP 64-Bit, Windows XP Embedded, Windows Vista, Windows Vista 64-Bit, Windows Embedded for Point of Service, Microsoft Windows Server 2008, Microsoft Windows Server 2008 64-Bit, FreeBSD 64-Bit, RedHat Enterprise Linux, RedHat Enterprise Linux 64-Bit, Solaris 64-Bit, SUSE, SUSE 64-Bit, SLES, SLES 64-Bit, Novell OES, Novell Linux Desktop, Sun Java Desktop System, Mandriva, Mandriva 64-Bit, TurboLinux, TurboLinux 64-Bit, Ubuntu, Ubuntu 64-Bit, Debian, Debian 64-Bit, Linux 2.4.x, Linux 2.4.x 64-Bit, Linux 2.6.x, Linux 2.6.x 64-Bit, Linux 64-Bit, Other 64-Bit, Microsoft Windows Server 2008 R2, VMware ESXi, Microsoft Windows 7, CentOS 32-bit, CentOS 64-bit, Oracle Linux 32-bit, Oracle Linux 64-bit, eComStation 32-bitx, Microsoft Windows Server 2011, Microsoft Windows Server 2012, Microsoft Windows 8, Microsoft Windows 8 64-bit, Microsoft Windows Server 2012 R2

UpperSoftwareElementVersion | string |
Description | string | The maximum version of the SoftwareElement being checked.
MaxLen | uint32 | 64
ModelCorrespondence | string | CIM_SoftwareElement.Version

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CheckID | string | CIM_Check
CheckMode | boolean | CIM_Check
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_ManagedElement
Name | string | CIM_Check
SoftwareElementID | string | CIM_Check
SoftwareElementState | uint16 | CIM_Check
TargetOperatingSystem | uint16 | CIM_Check
Version | string | CIM_Check

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
Invoke | uint32 | CIM_Check
InvokeOnSystem | uint32 | CIM_Check